Multiple Vulnerabilities in Google Android OS Could Allow for Arbitrary Code Execution

ITS Advisory Number: 
2020-059
Date(s) Issued: 
Tuesday, May 5, 2020
Subject: 
Multiple Vulnerabilities in Google Android OS Could Allow for Arbitrary Code Execution
Overview: 

Multiple vulnerabilities have been discovered in the Google Android operating system (OS), the most severe of which could allow for remote code execution. Android is an operating system developed by Google for mobile devices, including, but not limited to, smartphones, tablets, and watches. Successful exploitation of the most severe of these vulnerabilities could allow for remote code execution within the context of a privileged process. Depending on the privileges associated with this application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

 

THREAT INTELLIGENCE:

There are currently no reports of these vulnerabilities being exploited in the wild.

Systems Affected: 
  • Android OS builds utilizing Security Patch Levels issued prior to May 5, 2020.
RISK
GOVERNMENT
Large and medium government entities: 
High
Small government entities: 
High
BUSINESS
Large and medium business entities: 
High
Small business entities: 
High
Home Users: 
High
Description: 

Multiple vulnerabilities have been discovered in Google Android OS, the most severe of which could allow for remote code execution within the context of a privileged process. Details of these vulnerabilities are as follows:

 

  • Multiple vulnerabilities in Framework that could allow for Escalation of Privileges (CVE-2020-0096, CVE-2020-0097, CVE-2020-0098)
  • A vulnerability in Media framework that could allow for Escalation of Privileges (CVE-2020-0094)
  • Multiple vulnerabilities in Media framework that could allow for Information Disclosure (CVE-2020-0093, CVE-2020-0100, CVE-2020-0101)
  • Multiple vulnerabilities in System that could allow for Escalation of Privileges (CVE-2020-0024, CVE-2020-0102, CVE-2020-0105, CVE-2020-0109)
  • A vulnerability in System that could allow for Remote Code Execution (CVE-2020-0103)
  • Multiple vulnerabilities in System that could allow for Information Disclosure (CVE-2020-0092, CVE-2020-0106, CVE-2020-0104)
  • A vulnerability in Google Play system updates that could allow for Escalation of Privileges (CVE-2020-0110)
  • A vulnerability in Google Play system updates that could allow for Information Disclosure (CVE-2019-19536)
  • A vulnerability in Kernel components that could allow for Escalation of Privileges (CVE-2020-0110)
  • A vulnerability in Kernel components that could allow for Information Disclosure (CVE-2019-19536)
  • Multiple vulnerabilities in MediaTek components that could allow for Information Disclosure (CVE-2020-0065, CVE-2020-0090, CVE-2020-0091)
  • Multiple High severity vulnerabilities in Qualcomm components (CVE-2019-14053, CVE-2019-14087, CVE-2020-3610, CVE-2020-3615, CVE-2020-3623, CVE-2020-3625, CVE-2020-3630, CVE-2020-3680)
  • Multiple High severity vulnerabilities in Qualcomm closed-source components (CVE-2019-14054, CVE-2019-14066, CVE-2019-14067, CVE-2019-14077, CVE-2019-14078, CVE-2020-3616, CVE-2020-3618, CVE-2020-3633, CVE-2020-3645)
  • A Critical severity vulnerability in Qualcomm closed-source components (CVE-2020-3641)

 

Successful exploitation of the most severe of these vulnerabilities could allow for remote code execution in the context of a privileged process. These vulnerabilities could be exploited through multiple methods such as email, web browsing, and MMS when processing media files. Depending on the privileges associated with the application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

Actions: 
  • After appropriate testing, immediately apply updates by Google Android or mobile carriers to vulnerable systems.
  • Remind users to only download applications from trusted vendors in the Play Store.
  • Remind users not to visit un-trusted websites or follow links provided by unknown or un-trusted sources.
  • Inform and educate users regarding threats posed by hypertext links contained in emails or attachments, especially from un-trusted sources.
References: 

Google Android:

https://source.android.com/security/bulletin/2020-05-01

 

CVE:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14053

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14054

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14066

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14067

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14077

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14078

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-14087

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19536

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0024

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0064

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0065

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0090

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0091

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0092

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0093

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0094

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0096

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0097

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0098

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0100

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0101

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0102

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0103

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0104

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0105

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0106

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0109

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-0110

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3610

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3615

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3616

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3618

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3623

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3625

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3630

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3633

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3641

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3645

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3680